#include "config.hpp"

void Config::cli_parse(int argc, char **argv) {
  CLI::App app;
  app.add_option("-l,--listen", gdbsocket,
                 "Listen to debugger at this address");
  app.add_flag("-g", do_debug, "Listen for gdb");
  app.add_option("-m,--memory", memory_file, "Content of memory")
      ->check(CLI::ExistingFile);
  app.add_flag("!--no-bin", memory_file_binary,
               "Memory file is in text format");
  app.add_option("--wav", wavefile, "output .vcd file path");
  app.add_flag("-i", interactive, "Launch sdb for interactive session");

  try {
    app.parse(argc, argv);
  } catch (const CLI::ParseError &e) {
    exit((app).exit(e));
  }
}

Config config{.wavefile = "flowwave.vcd"};
